Subject: Re: Probably a flaw in Linux rtl8139 driver FYI

From: Eric Dumazet <[email-masked]>
Date: Sat, 18 Apr 2009 21:43:15 +0200

Tzungder Lin a écrit :
> Dear Eric,
> 
> I agree with you at first.
> But after I checked the driver code, I think tp->cur_rx has been set
> to zero in rtl8139_init_ring() which has been executed before
> rtl8139_hw_start().
> So, it should be safe already.
> Thanks for your advice still.
> FYR

Very good ! Could you formally post the patch with your Signoff,
and make it applicable with "patch -p1" ?

(Please read Documentation/SubmittingPatches if you need some info)

Thanks